using System.Web.UI;

namespace Host
{
	public class ClientCallback : Control, ICallbackEventHandler
	{
		public delegate string OnRaiseCallbackEvent(string eventArgument);
		public event OnRaiseCallbackEvent Raise;

		private string callbackResult = string.Empty;

		public void RaiseCallbackEvent(string eventArgument)
		{
			if (Raise != null)
			{
				callbackResult = Raise(eventArgument);
			}
		}

		public string GetCallbackResult()
		{
			return callbackResult;
		}
	}
}